using JetBrains.Annotations;
using UnityEngine;

namespace Nan.Scripts
{
    public interface IMover
    {
        Vector3 Move(Vector3 current);
    }

    public class LinerMover : IMover
    {
        public Vector3 Velocity { get; set; }
        
        public Vector3 Move(Vector3 current)
        {
            return current + Velocity * Time.deltaTime;
        }
    }
}